﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Wavetek 195 (1 yr) VER IEEE /5790,8560,8903,LFCTR
DATE:                  2017-02-10 07:49:26
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18254 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       442
CONFIGURATION:         Fluke 5790A
CONFIGURATION:         HP 8560
CONFIGURATION:         HP 8903B
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Additional Equipment Required:
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                                     V

  1.002  IF           0
  1.003  5790         *                                                 S
  1.004  8560         *                                                 S
  1.005  8903         *                                                 S
  1.006  IEEE         [@LFCTR]
  1.007  ENDIF

  1.008  IF           VERSIONCHECK("8.0")
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Prior to beginning verification, a UUT warm-up time
  1.013  DISP         of 30 minutes.
  1.013  DISP
  1.013  DISP         Additionally, the UUT must have acclimated to the
  1.013  DISP         ambient conditions of the test environment for at
  1.013  DISP         least two hours.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method
  1.017  CALL         Sub UUT Connection GPIB

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  1.020  MATH         @Manufacturer     = GETV("Manufacturer")
  1.021  MATH         @ModelNum         = GETV("Model_Num")
  1.022  MATH         @UUT_Manufacturer = "Wavetek"
  1.023  MATH         @UUT_Model        = "MODEL 195"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Fluke 281/282/284 (1 yr) Min Requirements /LFCTR

  1.031  IF           @Abort
  1.032  END
  1.033  ENDIF

  1.034  CALL         Sub Fluke 281/282/284 Additional Required Equipment
  1.035  ENDIF

  1.036  RESET        OUTPUT OFF;*OPC?[I!]

# Set timeout for "Sub Wait for OPC 488.2" to 10 s.
  1.037  MATH         @Timeout = 10000

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
# 195 (2 Ch)
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy Ch 1       Sine Frequency Accuracy Ch 1
#    2.   Sine Frequency Accuracy Ch 2       Square Frequency Accuracy Ch 1
#    3.   Square Frequency Accuracy Ch 1     Square Rise/Fall Time Ch 1
#    4.   Square Frequency Accuracy Ch 2     Sine Frequency Accuracy Ch 2
#    5.   Frequency Synthesis Ch 1           Square Frequency Accuracy Ch 2
#    6.   Frequency Synthesis Ch 2           Square Rise/Fall Time Ch 2
#    7.   Square Rise/Fall Time Ch 1         Frequency Synthesis Ch 1
#    8.   Square Rise/Fall Time Ch 2         Frequency Synthesis Ch 2
#    9.   Amplitude Accuracy Ch 1            Amplitude Accuracy Ch 1
#   10.   Amplitude Accuracy Ch 2            Amplitude Flatness Ch 1
#   11.   Amplitude Flatness Ch 1            Amplitude Accuracy Ch 2
#   12.   Amplitude Flatness Ch 2            Amplitude Flatness Ch 2
#   13.   Sine Distortion <= 100 kHz Ch 1    Sine Distortion <= 100 kHz Ch 1
#   14.   Sine Distortion > 100 kHz Ch 1     Sine Distortion <= 100 kHz Ch 2
#   15.   Sine Distortion <= 100 kHz Ch 2    Sine Distortion > 100 kHz Ch 1
#   16.   Sine Distortion > 100 kHz Ch 2     Non-harmonic Distortion Ch 1
#   17.   Non-harmonic Distortion Ch 1       Sine Distortion > 100 kHz Ch 2
#   18.   Non-harmonic Distortion Ch 2       Non-harmonic Distortion Ch 2
#
# 195 Option 001 (4 Ch)
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Sine Frequency Accuracy Ch 1       Sine Frequency Accuracy Ch 1
#    2.   Sine Frequency Accuracy Ch 2       Square Frequency Accuracy Ch 1
#    3.   Sine Frequency Accuracy Ch 3       Square Rise/Fall Time Ch 1
#    4.   Sine Frequency Accuracy Ch 4       Sine Frequency Accuracy Ch 2
#    5.   Square Frequency Accuracy Ch 1     Square Frequency Accuracy Ch 2
#    6.   Square Frequency Accuracy Ch 2     Square Rise/Fall Time Ch 2
#    7.   Square Frequency Accuracy Ch 3     Sine Frequency Accuracy Ch 3
#    8.   Square Frequency Accuracy Ch 4     Square Frequency Accuracy Ch 3
#    9.   Frequency Synthesis Ch 1           Square Rise/Fall Time Ch 3
#   10.   Frequency Synthesis Ch 2           Sine Frequency Accuracy Ch 4
#   11.   Frequency Synthesis Ch 3           Square Frequency Accuracy Ch 4
#   12.   Frequency Synthesis Ch 4           Square Rise/Fall Time Ch 4
#   13.   Square Rise/Fall Time Ch 1         Frequency Synthesis Ch 1
#   14.   Square Rise/Fall Time Ch 2         Frequency Synthesis Ch 2
#   15.   Square Rise/Fall Time Ch 3         Frequency Synthesis Ch 3
#   16.   Square Rise/Fall Time Ch 4         Frequency Synthesis Ch 4
#   17.   Amplitude Accuracy Ch 1            Amplitude Accuracy Ch 1
#   18.   Amplitude Accuracy Ch 2            Amplitude Flatness Ch 1
#   19.   Amplitude Accuracy Ch 3            Amplitude Accuracy Ch 2
#   20.   Amplitude Accuracy Ch 4            Amplitude Flatness Ch 2
#   21.   Amplitude Flatness Ch 1            Amplitude Accuracy Ch 3
#   22.   Amplitude Flatness Ch 2            Amplitude Flatness Ch 3
#   23.   Amplitude Flatness Ch 3            Amplitude Accuracy Ch 4
#   24.   Amplitude Flatness Ch 4            Amplitude Flatness Ch 4
#   25.   Sine Distortion <= 100 kHz Ch 1    Sine Distortion <= 100 kHz Ch 1
#   26.   Sine Distortion > 100 kHz Ch 1     Sine Distortion <= 100 kHz Ch 2
#   27.   Sine Distortion <= 100 kHz Ch 2    Sine Distortion <= 100 kHz Ch 3
#   28.   Sine Distortion > 100 kHz Ch 2     Sine Distortion <= 100 kHz Ch 4
#   29.   Sine Distortion <= 100 kHz Ch 3    Sine Distortion > 100 kHz Ch 1
#   30.   Sine Distortion > 100 kHz Ch 3     Non-harmonic Distortion Ch 1
#   31.   Sine Distortion <= 100 kHz Ch 4    Sine Distortion > 100 kHz Ch 2
#   32.   Sine Distortion > 100 kHz Ch 4     Non-harmonic Distortion Ch 2
#   33.   Non-harmonic Distortion Ch 1       Sine Distortion > 100 kHz Ch 3
#   34.   Non-harmonic Distortion Ch 2       Non-harmonic Distortion Ch 3
#   35.   Non-harmonic Distortion Ch 3       Sine Distortion > 100 kHz Ch 4
#   36.   Non-harmonic Distortion Ch 4       Non-harmonic Distortion Ch 4

  1.038  RSLT         =
  1.039  RSLT         =SINE WAVE FREQUENCY ACCURACY
  1.040  RSLT         =
  1.041  RSLT         =Channel 1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.044  JMPL         SQUARE_FREQ_CH1

  1.045  LABEL        SINE_FREQ_CH2
  1.046  RSLT         =
  1.047  RSLT         =Channel 2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.050  JMPL         SQUARE_FREQ_CH2

  1.051  LABEL        SINE_FREQ_CH3
  1.052  RSLT         =
  1.053  RSLT         =Channel 3
  1.054  MATH         @Chan = 3
  1.055  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.056  JMPL         SQUARE_FREQ_CH3

  1.057  LABEL        SINE_FREQ_CH4
  1.058  RSLT         =
  1.059  RSLT         =Channel 4
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub Fluke 281/282/284 (1 yr) SI Frequency VER /LFCTR
  1.062  JMPL         SQUARE_FREQ_CH4

  1.063  LABEL        SQUARE_FREQ_CH1
  1.064  RSLT         =
  1.065  RSLT         =SQUARE WAVE FREQUENCY ACCURACY
  1.066  RSLT         =
  1.067  RSLT         =Channel 1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.070  JMPL         RISE_FALL_CH1

  1.071  LABEL        SQUARE_FREQ_CH2
  1.072  RSLT         =
  1.073  RSLT         =Channel 2
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.076  JMPL         RISE_FALL_CH2

  1.077  LABEL        SQUARE_FREQ_CH3
  1.078  RSLT         =
  1.079  RSLT         =Channel 3
  1.080  MATH         @Chan = 3
  1.081  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.082  JMPL         RISE_FALL_CH3

  1.083  LABEL        SQUARE_FREQ_CH4
  1.084  RSLT         =
  1.085  RSLT         =Channel 4
  1.086  MATH         @Chan = 4
  1.087  CALL         Sub Fluke 281/282/284 (1 yr) SQ Frequency VER /LFCTR
  1.088  JMPL         RISE_FALL_CH4

  1.089  LABEL        FREQ_SYNTHESIS_CH1
  1.090  RSLT         =
  1.091  RSLT         =FREQUENCY SYNTHESIS
  1.092  RSLT         =
  1.093  RSLT         =Channel 1
  1.094  MATH         @Chan = 1
  1.095  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.096  RSLT         =
  1.097  RSLT         =Channel 2
  1.098  MATH         @Chan = 2
  1.099  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.100  JMPL         FREQ_SYNTHESIS_CH3           PSUBI("Opt001")
  1.101  JMPL         AMPLITUDE_CH1

  1.102  LABEL        FREQ_SYNTHESIS_CH3
  1.103  RSLT         =
  1.104  RSLT         =Channel 3
  1.105  MATH         @Chan = 3
  1.106  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR

  1.107  RSLT         =
  1.108  RSLT         =Channel 4
  1.109  MATH         @Chan = 4
  1.110  CALL         Sub Fluke 281/282/284 (1 yr) Freq Synthesis VER /LFCTR
  1.111  JMPL         AMPLITUDE_CH1

  1.112  LABEL        RISE_FALL_CH1
  1.113  RSLT         =
  1.114  RSLT         =SQUARE WAVE RISE/FALL
  1.115  RSLT         =
  1.116  RSLT         =Channel 1
  1.117  MATH         @Chan = 1
  1.118  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.119  JMPL         SINE_FREQ_CH2

  1.120  LABEL        RISE_FALL_CH2
  1.121  RSLT         =
  1.122  RSLT         =Channel 2
  1.123  MATH         @Chan = 2
  1.124  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.125  JMPL         SINE_FREQ_CH3                PSUBI("Opt001")
  1.126  JMPL         FREQ_SYNTHESIS_CH1

  1.127  LABEL        RISE_FALL_CH3
  1.128  RSLT         =
  1.129  RSLT         =Channel 3
  1.130  MATH         @Chan = 3
  1.131  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.132  JMPL         SINE_FREQ_CH4

  1.133  LABEL        RISE_FALL_CH4
  1.134  RSLT         =
  1.135  RSLT         =Channel 4
  1.136  MATH         @Chan = 4
  1.137  CALL         Sub Fluke 281/282/284 (1 yr) Square Rise/Fall VER/LFCTR
  1.138  JMPL         FREQ_SYNTHESIS_CH1

  1.139  LABEL        AMPLITUDE_CH1
  1.140  RSLT         =
  1.141  RSLT         =AMPLITUDE ACCURACY (1 kHz)
  1.142  RSLT         =
  1.143  RSLT         =Channel 1
  1.144  MATH         @Chan = 1
  1.145  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.146  JMPL         AMPLITUDE_FLATLESS_CH1

  1.147  LABEL        AMPLITUDE_CH2
  1.148  RSLT         =
  1.149  RSLT         =Channel 2
  1.150  MATH         @Chan = 2
  1.151  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.152  JMPL         AMPLITUDE_CH3                PSUBI("Opt001")
  1.153  JMPL         SINE_WAVE_DISTORTION

  1.154  LABEL        AMPLITUDE_CH3
  1.155  RSLT         =
  1.156  RSLT         =Channel 3
  1.157  MATH         @Chan = 3
  1.158  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.159  JMPL         AMPLITUDE_FLATLESS_CH3

  1.160  LABEL        AMPLITUDE_CH4
  1.161  RSLT         =
  1.162  RSLT         =Channel 4
  1.163  MATH         @Chan = 4
  1.164  CALL         Sub Fluke 281/282/284 (1 yr) Amplitude VER /5790
  1.165  JMPL         AMPLITUDE_FLATLESS_CH4

  1.166  LABEL        AMPLITUDE_FLATLESS_CH1
  1.167  RSLT         =
  1.168  RSLT         =AMPLITUDE FLATNESS (1 kHz Reference)
  1.169  RSLT         =
  1.170  RSLT         =Channel 1
  1.171  MATH         @Chan = 1
  1.172  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.173  JMPL         AMPLITUDE_CH2

  1.174  LABEL        AMPLITUDE_FLATLESS_CH2
  1.175  RSLT         =
  1.176  RSLT         =Channel 2
  1.177  MATH         @Chan = 2
  1.178  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.179  JMPL         AMPLITUDE_CH3

  1.180  LABEL        AMPLITUDE_FLATLESS_CH3
  1.181  RSLT         =
  1.182  RSLT         =Channel 3
  1.183  MATH         @Chan = 3
  1.184  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790
  1.185  JMPL         AMPLITUDE_CH4

  1.186  LABEL        AMPLITUDE_FLATLESS_CH4
  1.187  RSLT         =
  1.188  RSLT         =Channel 4
  1.189  MATH         @Chan = 4
  1.190  CALL         Sub Fluke 281/282/284 (1 yr) Ampl Flatness VER /5790

  1.191  LABEL        SINE_WAVE_DISTORTION
  1.192  RSLT         =
  1.193  RSLT         =SINE WAVE DISTORTION
  1.194  RSLT         =
  1.195  RSLT         =Channel 1
  1.196  RSLT         =
  1.197  RSLT         =Total Harmonic Distortion
  1.198  MATH         @Chan = 1
  1.199  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.200  JMPL         8903_DISTORTION_CH2

  1.201  LABEL        8560_DISTORTION_CH1
  1.202  MATH         @Chan = 1
  1.203  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.204  JMPL         8560_NON-HARMONIC_DISTORTION_CH1

  1.205  LABEL        8903_DISTORTION_CH2
  1.206  RSLT         =
  1.207  RSLT         =Channel 2
  1.208  RSLT         =
  1.209  RSLT         =Total Harmonic Distortion
  1.210  MATH         @Chan = 2
  1.211  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.212  JMPL         8903_DISTORTION_CH3          PSUBI("Opt001")
  1.213  JMPL         8560_DISTORTION_CH1

  1.214  LABEL        8560_DISTORTION_CH2
  1.215  MATH         @Chan = 2
  1.216  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.217  JMPL         8560_NON-HARMONIC_DISTORTION_CH2

  1.218  LABEL        8903_DISTORTION_CH3
  1.219  RSLT         =
  1.220  RSLT         =Channel 3
  1.221  RSLT         =
  1.222  RSLT         =Total Harmonic Distortion
  1.223  MATH         @Chan = 3
  1.224  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.225  JMPL         8903_DISTORTION_CH4

  1.226  LABEL        8560_DISTORTION_CH3
  1.227  MATH         @Chan = 3
  1.228  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.229  JMPL         8560_NON-HARMONIC_DISTORTION_CH3

  1.230  LABEL        8903_DISTORTION_CH4
  1.231  RSLT         =
  1.232  RSLT         =Channel 4
  1.233  RSLT         =
  1.234  RSLT         =Total Harmonic Distortion
  1.235  MATH         @Chan = 4
  1.236  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
  1.237  JMPL         8560_DISTORTION_CH1

  1.238  LABEL        8560_DISTORTION_CH4
  1.239  MATH         @Chan = 4
  1.240  CALL         Sub Fluke 281/282/284 (1 yr) Distortion VER /8560
  1.241  JMPL         8560_NON-HARMONIC_DISTORTION_CH4

  1.242  LABEL        8560_NON-HARMONIC_DISTORTION_CH1
  1.243  RSLT         =
  1.244  RSLT         =SINE WAVE NON-HARMONIC DISTORTION (6 MHz Fundamental)
  1.245  RSLT         =
  1.246  RSLT         =Channel 1
  1.247  MATH         @Chan = 1
  1.248  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
  1.249  JMPL         8560_DISTORTION_CH2

  1.250  LABEL        8560_NON-HARMONIC_DISTORTION_CH2
  1.251  RSLT         =
  1.252  RSLT         =Channel 2
  1.253  MATH         @Chan = 2
  1.254  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
  1.255  JMPL         8560_DISTORTION_CH3           PSUBI("Opt001")
  1.256  JMPL         DONE

  1.257  LABEL        8560_NON-HARMONIC_DISTORTION_CH3
  1.258  RSLT         =
  1.259  RSLT         =Channel 3
  1.260  MATH         @Chan = 3
  1.261  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560
  1.262  JMPL         8560_DISTORTION_CH4

  1.263  LABEL        8560_NON-HARMONIC_DISTORTION_CH4
  1.264  RSLT         =
  1.265  RSLT         =Channel 4
  1.266  MATH         @Chan = 4
  1.267  CALL         Sub Fluke 281/282/284 (1 yr) Non-harmonic Dist VER/8560

  1.268  LABEL        DONE
  1.269  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.270  END


